Contents
QuickSearch Help Contents

Overview

Search -- conditions, results, drag & drop

Properties -- file name, touch(date/time) & more.

Head -- quick view

HexDump -- hexadecimal view

Open -- run

Copy, Move & Delete

Save & Clear List

Limitations & Tech Support

Registration Information & Other Products

Copyright ©1996 Infomate Inc.  All rights reserved.

Microsoft and Visual C++ are registered trademarks, and Windows is a trademark of Microsoft Corporation


Overview

1.	QuickSearch is a powerful extension of Windows File Manager for searching, changing and managing files.

2.	Flexible file search & search for files containing text! Besides having flexible search conditions(criteria) to choose from for the normal file search, it searches through all kinds of files, such as e-mails, documents, database files, text files and more, to find those containing a certain text string.

3.	Touch! You can easily change file date/time(timestamp).

4.	Hex-Dump & more! Single-click opening for multiple file hex-dump, contents view and run.

5.	Fast search engine! Search speed competing with File Manager. Designed for Windows 3.1x. Also works with Win 95/ NT.

6.	QuickSearch can be a time saver, a life saver! It is freely distributed as shareware and may be evaluated without charge for 10 days.


Search
Search - conditions, results, drag & drop

QuickSearch has a fast search engine that goes through any drive and all subdirectories. Sometimes you cannot remember where a file is. By supplying some information you know, you will find the file. All conditions are working by logical AND to become the search criteria. It means that if some conditions are left empty, they will not affect the search results. Specify a condition only if you need it. By adding more conditions, such as date, size and attribute settings, an accurate matching file list can be obtained. You can select a file from the search results list box and perform such tasks as changing the file properties(name & timestamp), viewing, hex-dumping, run, copying, and deleting.

To specify conditions(Search Criteria)

1.	Location section

Select the drive and directory from which you need to start the search.

By clicking the directory view button

-or-

From the File menu, choose Location..,

a directory selection dialog box comes up.

In the dialog box, select the drive and double-click the directory that you want to start from, press OK.

2.	File Name section

Specify the file name mask type that you need to search for.

File Name drop-down list box:

is	Exact file name mask. Wild cards(*,?) are accepted in this option. This is the

default.

E.g. by choosing is and specifying *.* in the entry field(next to the drop-down

list box) means all files, *.hlp means all help files.

contains	The letters(string) are in the file name. E.g. if abc is specified, files like

abc1234.txt, 12abc34.exe, and 1234.abc will be found.

starts with	The letters are the leading string of the file name. E.g. if abc is specified, files

like abc1234.txt, and abc.exe will be found.

ends with	The letters are in the end of the file name. E.g. if abc is specified, files like

1234abc, 1.abc will be found.

does not contain

The letters are NOT in the file name. This is the opposite of contains.

Note: If nothing is specified in the file name entry field but some condition else is entered, all files are searched, same as is, *.*

3.	Files Containing Text section

If you need to search all files that contain a string, specify the text in the File Containing Text entry field. E.g. If text Vivian is entered in this field, ONLY files containing the string Vivian will be found. The maximum length of the text entry field is 1K.

Note: Do not enter any string in this field if you want to find files only, not files containing a string.

4.	More Conditions section

You can specify more conditions in this section:

Date drop-down list box:

is before	File date/time(timestamp) is before(does not include) what you specify. If yy

field is entered, mm and dd box can be left empty(when you only need to

search up to the year). And dd can be empty when yy & mm are entered.

E.g. specifying

yy:96 only, mm and dd are empty  means files before 1996(up to

Dec. 31, 1995).

yy:96, mm:11  means files before Nov.1996.

yy:96, mm:11 and dd:20  means files before Nov. 20 1996.

is after	File date/time(timestamp) is after(does not include) what you specify.

See is before above.

is 	File date/time (timestamp) is what you specify. See is before.

is not 	File date/time (timestamp) is NOT what you specify. See is before.

Size drop-down list box:

is greater than	File size is greater than what you specify. The number is in KB.

is less than	File size is less than what you specify. The number is in KB.

Attrib: (Attributes)

All Files	This is the default. By checking this check box, all the other attribute check

boxes are disabled. If you need to search files with certain attributes, uncheck

this check box first.

Read Only	Read Only files.

Archive	Archive files.

Hidden	Hidden files.

System	System files.

Dirs	Search includes all directory names as well. The default is NOT.

Here is an example for the combination of the conditions:

If you select contains from the File Name drop-down list box,

enter abc in the file name entry field,

enter Vivian in the Files Containing Text entry field.

select is before in the Date drop-down list box,

enter 95 in yy entry field,

everything else is default,

QuickSearch will search for the files that have string abc in the file name, AND have string Vivian in the file, AND the timestamp is up to Dec. 31, 1995.

To search files

1.	Click the Search button.

-or-

Press F5 key.

-or-

From the File menu, choose Search.

2.	To cancel the search, press the Stop button.

-or-

From the File menu, choose Stop.

Search results List, Drag & Drop

1.	The search results list box handles maximum 500 files, and is sorted in alphabetical order.

2.	Double clicking an item(file) opens the properties dialog box.

3.	The date format, yy/mm/dd or mm/dd/yy and etc., depends on the format of your windows settings. You can change the order by running Windows Control Panel, changing Short Date Format in International.

4.	The font of the list box can be changed by choosing the Font menu. All following opened windows will use the specified font.

5.	Drag & Drop feature works best when you open File Manager window beside, drag needed files from File Manager to QuickSearch list box and drop them. It works with both single and multipal file selections. All dropped files are added into the list.


Properties
Properties - file name, touch(date/time) & more.

You can change the file name and date/time(timestamp) by using this feature. It works with both single and multipal file selections.

To change File Properties (name, timestamp and attributes)

1.	Select one or more files from the search results list box.

2.	Click the Properties.. button.

-or-

Press F9 key.

-or-

From the File menu, choose Properties..

3.	In the Properties dialog box, change the file name and timestamp and attributes.

Note: The valid year range is 1980 - 2099

Note: Change of file name is not available in the multipal file selection.

4.	Click the OK button.


Head
Head - quick view

Head is a quick view feature that provides a quick look of the contents of any file. It shows the first part of the file up to 16KB. If you select more than one file from the list box, all the selected files are shown at the same time.

To get the head of a file

1.	Select one or more files from the search results list box.

2.	Click the Head.. button.

-or-

Press F10 key.

-or-

From the File menu, choose Head..

3.	In the Head dialog box, you can select a part or all of the contents, press the Copy button to copy it onto the Clipboard so that you can paste, link, or embed it in another file.

4.	Click the Close button to close.

Note: If you see a message Not enough memory to perform operation. or so, it means that you have too many windows open or the selection is too big to copy. Please close one or more windows or reduce the selection, and try again.

The available memory is only depending on your system, not limited by QuickSearch.


HexDump
HexDump - hexadecimal view

HexDump is a hexadecimal viewing feature that displays the contents of any file in binary form. It shows the first part of the file up to 12.8KB. If you select more than one file from the list box, all the selected files are shown at the same time.

To hex-dump a file

1.	Select one or more files from the search results list box.

2.	Click the HexDump.. button.

-or-

Press F11 key.

-or-

From the File menu, choose HexDump..

3.	In the HexDump dialog box, you can select a part or all of the contents, press the Copy button to copy it onto the Clipboard so that you can paste, link, or embed it in another file.

4.	Click the Close button to close.

Note: If you see a message Not enough memory to perform operation. or so, it means that you have too many windows open or the selection is too big to copy. Please close one or more windows or reduce the selection, and try again.

The available memory is only depending on your system, not limited by QuickSearch.


Open
Open - run

You can use QuickSearch to start your applications. QuickSearch starts the application or the application that is associated with the file in Windows. E.g. if you open file abc.txt, it runs Notepad.exe to open the file in most windows systems. If you select more than one file from the list box, all the selected files are launched at the same time.

To open(run) a file

1.	Select one or more files from the search results list box.

2.	Click the Open button.

-or-

Press F12 key.

-or-

From the File menu, choose Open

Note: If you see a message Not enough memory to perform operation. or so, it means that you have too many windows open. Please close one or more windows, and try again.

The available memory is only depending on your system, not limited by QuickSearch.


CopyMoveDelete
Copy, Move & Delete

Copies(Moves) or Deletes a selected file to a different directory or disk.

To copy(move) a file

1.	Select a file from the search results list box.

2.	Click the Copy..(Move..) button

or

Press F8 key for Copy; (F7 for Move).

-or-

From the Edit menu, choose Copy..(Move..)

3.	In the Copy(Move) dialog box, select the drive and directory to which you need to copy(move).

4.	Click the OK button.

To delete a file

1.	Select a file from the search results list box.

2.	Click the Delete.. button

-or-

From the Edit menu, choose Delete..

3.	Click the OK button after it is confirmed.


SaveClearList
Save & Clear List

You can save the search results list into a plain text file of your choice. Or you can clear the list for drag & drop use.

To save the serarch results list

1.	Click the Save List.. button

-or-

From the File menu, choose Save List..

2.	In the Save dialog box, specify the file name of the search results. The default file name is results.txt.

3.	Click the OK button.

To clear the list

1.	Click the Clear List button

-or-

From the File menu, choose Clear List


Limitations
Limitations & Tech Support

Limitations

1.	QuickSearch is designed for Windows 3.1x. It also works with Windows 95 & NT as the way all Windows 3.1x applications work.

2.	It is developed entirely in Microsoft Visual C++ 1.52c (MFC) and is subject to the same limitations as any Windows 3.1x program.

3.	If you see a message Not enough memory to perform operation. or so, it means that you have too many windows open or the selection is too big to copy. Please close one or more windows or reduce the selection, and try again.

The available memory is only depending on your system, not limited by QuickSearch.

4.	Please see the readme.txt file for [Disclaimer and Agreement]

Tech Support, Any Questions & Suggestions

Infomate is committed to develop high quality software products. And Infomate plans to enhance QuickSearch. The more we hear from you, the better we can get into the next version.

Please contact with us if you have any comments and suggestions. The feedback will be appreciated:

Infomate Inc.

1216 Whiterock St., Ottawa,

ON.  K1J 1A7,  Canada

Fax: (613) 745-6496

Compuserve:102435,1676

INTERNET:102435.1676@Compuserve.com

See Also:

Registration Information & Other Products


Registration Information
Registration Information & Other Infomate Products

The registration fee is:

single user	US$10.00 (CAN$12.00)

10 users	US$5.00 (CAN$6.00) / per user

(postage & taxes included, nothing extra to pay)

1.	Mail Order: Please send check (drawn on any U.S. or Canadian bank)

or money order to:

Infomate Inc.

1216 Whiterock St., Ottawa,

ON.  K1J 1A7,  Canada

Attn. QuickSearch

2.	Compuserve Users: You can register by GO SWREG, enter ID# 13622.

(The charge will be on your Compuserve Bill.)

Registered user will receive the latest registered version on a 3.5"(1.44mb) diskette.

Other Infomate Products

Picture File Navigator for windows

1.	Picture File Navigator is a desktop utility for searching and managing PICTURE files.

2.	It searches all the picture files in any drive and goes through all subdirectories.

3	All found picture files, icons(*.ico), bitmaps(*.bmp), run-length encoded files(*.rle), and metafile(*.wmf), are listed in a search results list box and a separated picture window. You can select a picture file either from the list box or the picture window, and perform such tasks as editing, copying, and deleting.

4.	To download:

Compuserve users can download it by GO WINSHARE, search for PICNAVI.ZIP in the library.

-or-

E-mail/Fax to us. See address below.

See Also:

Limitations & Tech Support